Bug 1577 - installer and language
Summary: installer and language
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: 3.6
Hardware: PC All
: P3 enhancement (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-14 03:05 UTC by Paul Poulain
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 1577 - update INSTALL to mention need to translate templates (1.15 KB, patch)
2012-04-18 15:34 UTC, MJ Ray (software.coop)
Details | Diff | Splinter Review
Bug 1577 - update INSTALL to mention need to translate templates (1.20 KB, patch)
2012-04-18 21:38 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:32:11 UTC


---- Reported by paul.poulain@biblibre.com 2007-11-14 03:05:43 ----

when you install Koha, you have 2 possibilities (I speak for french, as it's the only available language atm, but other will arrive soon, for sure) :
- the french template are installed
- they are not installed.

If they are installed, then the web installer speak french, can let the user select french and fill the tables with french parameters and frameworks. good.

If they are not installed, only english is available and the web installer let the user choose only english. bad (we can't require that all french librarians speak english, sorry ;-) ).

So we have two solutions :
- install translation before releasing Koha
- let the sysadm add a translation during the tech part of the install.

I think the 2nd one would be better and the 1st one would be easier (except for RM ;-) )



---- Additional Comments From jmf@liblime.com 2007-11-24 15:31:23 ----

my vote is option #2: let the sysadmin add a translation during the tech part of the installation. Trivial to add as part of the installer in fact as the user already has to select a language in order to properly set up the zebra directories. I'm assigning this to Galen, but I'm happy to help out. Basically, the installer just needs to call the translation tool on the appropriate PO files. See this document for more details on how that works:

http://www.kohadocs.org/usersguide/apb.html



---- Additional Comments From mjr@ttllp.co.uk 2007-12-11 05:34:13 ----

Why does the user need to select a language?  Why can't we make a reasonable guess from LANG and LC_*?

Why aren't we installing all translations in an easy-to-use form?



---- Additional Comments From gmcharlt@gmail.com 2007-12-11 07:21:40 ----

-- to not asking at all; language environment of the installer will not always correspond to desired language in the UI.

++ to guessing the default answer from environment variables; installer would be friendlier if it doesn't always default to a fixed value (i.e., English).  Patches welcome.

++ To keeping all available translations.  Looking at Zebra config files, there's no reason why all available language and MARC-specific files can't be installed; installer can content itself with setting up profilePath to point to selected indexing language and MARC format.  As translations get completed, base Koha installation package can be updated; can also provide language packs.



---- Additional Comments From jmf@liblime.com 2007-12-25 09:36:08 ----

Just a note, the current installer for 3.0 does allow you to select the language you wish to use for indexing in Zebra (atm, the primary language for sorting via sort-string.chr). This is not a blocker, but we should add some text to the installation documentation to indicate that the language pack for French and other languages isn't automagically generated ... 



---- Additional Comments From jmf@liblime.com 2008-02-23 09:28:37 ----

I'd say this is pretty low priority at the moment, especially since all languages are installed by default when you run from releases... Still some good comments in this thread though, I'm gong to lower severity to Enhancement.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:32 UTC  ---

This bug was previously known as _bug_ 1577 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1577

Actual time not defined. Setting to 0.0
CC member mjr@ttllp.co.uk does not have an account here

Comment 1 Katrin Fischer 2011-04-24 23:49:13 UTC
I had a lot of people asking me how to install the German sample files. I think when using the packages or the smaller tar balls from the home page people run into problems with the languages.

I think a low tech solution could be to add a note to the first page of the web installer informing why a langauge might not show up in the pull down liest and what to do about it.
And a note to the installation manuals.
Comment 2 Magnus Enger 2011-04-25 08:39:00 UTC
Good suggestion from Katrin! Being able to select from a list one or more translations to install while running Makefile.PL would also be a cool feature!
Comment 3 MJ Ray (software.coop) 2012-04-18 15:34:19 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2012-04-18 21:38:23 UTC
Created attachment 9249 [details] [review]
Bug 1577 - update INSTALL to mention need to translate templates

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Paul Poulain 2012-04-20 12:48:05 UTC
QA comment: doc only patch, passed QA
Comment 6 Jared Camins-Esakov 2012-12-31 00:54:21 UTC
There have been no further reports of problems so I am marking this bug resolved.